* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    background: linear-gradient(180deg, #530a52, #0D0D0D);
    color: rgb(255, 255, 255);
    text-align: center;
}

header {
    padding: 20px;
    text-align: center;
    font-size: 1.5rem;
}

.instructions-box {
    background-color: #2b002a;
    border-radius: 10px;
    padding: 20px;
    margin: 20px;
    max-width: 600px;
}

.instructions {
    text-align: left;
    list-style-type: none;
}

.instructions li {
    margin-bottom: 5px;
    font-size: 1rem;
}

.metrics-list {
    list-style-type: none;
    padding: 0;
    margin: 20px 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.metrics {
    background-color: #7b157a;
    margin: 5px;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    font-size: 1rem; 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); 
    transition: transform 0.3s;
}

.metrics:hover {
    transform: scale(1.05);
}

.textarea-container {
    margin: 20px;
}

textarea[name="user-input"] {
    width: 100%;
    min-width: 60vh;
    padding: 15px;
    font-size: 1rem; 
    border-radius: 8px;
    border: 2px solid #ddd;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Añadir sombra */
    resize: none;
}

#reset-button {
    padding: 10px 20px;
    font-size: 1rem; 
    border-radius: 8px;
    border: none;
    background-color: #FEC260;
    color: black;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

#reset-button:hover {
    background-color: #3B185F;
    transform: scale(1.05);
}

footer {
    margin-top: auto;
    padding: 0.5rem;
    color:beige;
    text-align: center;
}

/* Media Queries para Responsividad */

@media (max-width: 768px) {
    .metrics-list {
        grid-template-columns: repeat(2, 1fr);
    }

    .textarea-container textarea {
        width: 90%;
    }
}

@media (max-width: 480px) {
    .metrics-list {
        grid-template-columns: 1fr;
    }

    header {
        font-size: 1.5rem; 
    }

    .instructions li {
        font-size: 1rem; 
    }

    /* .metrics {
        font-size: 1rem; 
    } */

    .textarea-container textarea {
        font-size: 1rem; 
    }

    #reset-button {
        font-size: 1rem; 
    }

    footer {
        font-size: 1rem; 
    }
}
